Family : Direct
All operations require authentication.
3 operationsv1/ovhCloudConnect/{serviceName}
Lock interfaceProduction
POST
/1.0/ ovhCloudConnect/ {serviceName}/ interface/ {id}/ lock
Blocks all traffic on the port until it is unlocked (async task).
Path parameters
id
required
integer
Id
service Name
required
stringuuid
Service name
Response
200Tasksuccessful operation
function
read-only
Function Enum
Task function
Values
addDatacenterConfigurationaddDatacenterExtraConfigurationaddPopConfigurationaddVrackconsumePairingKeydelDatacenterConfigurationdelDatacenterExtraConfigurationdelPopConfigurationdeleteCircuitdiagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRouteslockInterfaceremoveVrackresetEdgeConfigurationunlockInterfaceid
read-only
integer
Task id
resource Id
read-only
integer
Reference of the created resource
status
read-only
Status Enum
Task status
Values
denieddoingdoneerrorpausetodoExample uses id = 0, serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ interface/ {id}/ lock \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "addDatacenterConfiguration", "id": 0, "resourceId": 0, "status": "denied"}
Unlock interfaceProduction
POST
/1.0/ ovhCloudConnect/ {serviceName}/ interface/ {id}/ unlock
Restores traffic on a locked port (async task).
Path parameters
id
required
integer
Id
service Name
required
stringuuid
Service name
Response
200Tasksuccessful operation
function
read-only
Function Enum
Task function
Values
addDatacenterConfigurationaddDatacenterExtraConfigurationaddPopConfigurationaddVrackconsumePairingKeydelDatacenterConfigurationdelDatacenterExtraConfigurationdelPopConfigurationdeleteCircuitdiagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRouteslockInterfaceremoveVrackresetEdgeConfigurationunlockInterfaceid
read-only
integer
Task id
resource Id
read-only
integer
Reference of the created resource
status
read-only
Status Enum
Task status
Values
denieddoingdoneerrorpausetodoExample uses id = 0, serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ interface/ {id}/ unlock \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "addDatacenterConfiguration", "id": 0, "resourceId": 0, "status": "denied"}
Generate LOAProduction
POST
/1.0/ ovhCloudConnect/ {serviceName}/ loa
Generates the Letter of Authorization the PoP operator needs to set up your cross-connect.
Path parameters
service Name
required
stringuuid
Service name
Response
200stringsuccessful operation
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ loa \
-H "authorization: Bearer $OVH_TOKEN""string"